cutlass::divides< Array< T, N > > Struct Template Reference

`#include <functional.h>`

## Public Member Functions

CUTLASS_HOST_DEVICE Array< T, N > | operator() (Array< T, N > const &lhs, Array< T, N > const &rhs) const
CUTLASS_HOST_DEVICE Array< T, N > | operator() (Array< T, N > const &lhs, T const &scalar) const
CUTLASS_HOST_DEVICE Array< T, N > | operator() (T const &scalar, Array< T, N > const &rhs) const

## Member Function Documentation

template<typename T , int N>

CUTLASS_HOST_DEVICE Array<T, N> cutlass::divides< Array< T, N > >::operator() | ( | Array< T, N > const & | lhs,
|  | Array< T, N > const & | rhs
| ) |  | const

inline

template<typename T , int N>

CUTLASS_HOST_DEVICE Array<T, N> cutlass::divides< Array< T, N > >::operator() | ( | Array< T, N > const & | lhs,
|  | T const & | scalar
| ) |  | const

inline

template<typename T , int N>

CUTLASS_HOST_DEVICE Array<T, N> cutlass::divides< Array< T, N > >::operator() | ( | T const & | scalar,
|  | Array< T, N > const & | rhs
| ) |  | const

inline

The documentation for this struct was generated from the following file:

- functional.h